## ros-noetic-husky-description 0.6.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(husky_description)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

install(
  DIRECTORY launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-husky-description (0.6.6-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-description (0.6.5-3buster) buster; urgency=high

  * Removed old bracket
  * Updated brackets
  * Change the reference heading of the GPS plugin to be east so the coordinate system is ENU
  * Rename DATUM_* to GAZEBO_WORLD_*. We're separating the datum from the world's origin, and this keeps envars from clobbering each other
  * LMS1XX Tower EnvVar (#250 <https://github.com/husky/husky/issues/250>)
    * Added second velodyne description
    * Added environment variable to remove the LMS1XX mount
    * Removed console output
  * Use DATUM_LAT and DATUM_LON envars to override the default reference lat/lon for the Gazebo GPS plugin. This addresses a compatibility issue with outdoor nav simulations
  * Contributors: Chris Iverach-Brereton, Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.4-3buster) buster; urgency=high

  * Fixes for velodyne prefix
  * PACS Brackets (#238 <https://github.com/husky/husky/issues/238>)
    * Added STL models for brackets
    * Added brackets to URDF
    * Added bracket environment variables
  * Fixed issues with find
  * Added README with all Environment Variables
  * Duplicate URDF for every standard sensor
  * Added fath pivot mount as dependency
  * Added URDF of Blackfly on top of fath_pivot_mount
  * Added prefix to name parameter to differentiate between primary and secondary
  * Changed ENABLE to ENABLED
  * Changed HUSKY_FULL_RISER to HUSKY_FULL_RISER_LEVEL
  * Added PACS top plate and mounts to decorations
  * Added PACS urdf definitions
  * Added PACS meshes
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.3-3buster) buster; urgency=high

  * Added Blackfly
  * Added blackfly description dependancy
  * Realsense will no longer add the Sensor Arch (#220 <https://github.com/husky/husky/issues/220>)
    * Add parent link env-var to imu
    * Sensor Arch is only enabled by HUSKY_SENSOR_ARCH, changed default realsense mount frame to
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.2-3buster) buster; urgency=high

  * Added Wibotic mesh and STL
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Luis Camero, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.1-3buster) buster; urgency=high

  * Fixed error in URDF
  * Added Hokuyo
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * Revert changes to mount_base_link to preserve use of origin argument; instead, simply created an additional plate link that sits between the supports and VLP16
  * Create visual geometry of vlp16_mount_base_link
  * Update mount support dimensions and spacing to better represent real-world measurements
  * [husky_description] Fixed malformed STL warning for top_plate.stl.
  * Contributors: Alexandre Iooss, Luis Camero, Tony Baltovski, jyang-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.0-3buster) buster; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.1-3buster) buster; urgency=high

  * cpr urdf extras
  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Update intel_realsense.urdf.xacro
    modify image format in sim to avoid log warn spam
  * Add HUSKY_{FRONT|REAR}_BUMPER envars we can use to completely turn off the front & rear bumpers.  This is requested to make integration of the wireless charging docks easier
  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.
    * Fix the envars; its just HUSKY_LMS1XX, not HUSKY_LASER_LMS1XX
    * Revert to enabling the main laser by default in the simulations, add the velodyne_gazebo_plugins dependency
  * Add the ability to add the sensor bar with an envar without adding the realsense.  Add the sensor bar height as another arg + envar, fix the URDF when the 300mm sensorbar is enabled.
  * Contributors: Chris I-B, Ebrahim Shahrivar, vamshi konduri

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.0-3buster) buster; urgency=high

  * Update husky.urdf.xacro (#169 <https://github.com/husky/husky/issues/169>)
    Fix Failed to build tree: child link [base_laser_mount] of joint [laser_mount_joint] not found error.
    As found on https://answers.ros.org/question/354219/failed-to-build-tree-child-link-base_laser_mount-of-joint-laser_mount_joint-not-found/
  * Contributors: Guido Sanchez



=== debian/control ===
Source: ros-noetic-husky-description
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tbaltovski@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-roslaunch
Homepage: http://ros.org/wiki/husky_description
Standards-Version: 3.9.2

Package: ros-noetic-husky-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
Description: Clearpath Husky URDF description

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-husky-description//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-husky-description 0.6.9

=== debian/changelog ===
ros-noetic-husky-description (0.6.9-1focal) focal; urgency=high

  * change envvars to use a configuraiton string
  * fix alphabtical order of dependencies
  * add onav description dependency
  * modified envvar and args to match format of file
  * added urdf for outdoornav
  * Contributors: José Mastrangelo

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 19 May 2023 04:00:00 -0000

ros-noetic-husky-description (0.6.8-1focal) focal; urgency=high

  * Only Included Realsense if Enabled
  * Contributors: Luis Camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 04 May 2023 04:00:00 -0000

ros-noetic-husky-description (0.6.7-1focal) focal; urgency=high

  * Fixed Realsense URDF
  * Update README.md
  * Cleared up launch from description variables
  * Changed 'true' and '1' to 1
  * Switched all enables to true
  * Contributors: luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 10 Mar 2023 05:00:00 -0000

ros-noetic-husky-description (0.6.6-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 Jan 2023 05:00:00 -0000

ros-noetic-husky-description (0.6.5-1focal) focal; urgency=high

  * Removed old bracket
  * Updated brackets
  * Change the reference heading of the GPS plugin to be east so the coordinate system is ENU
  * Rename DATUM_* to GAZEBO_WORLD_*. We're separating the datum from the world's origin, and this keeps envars from clobbering each other
  * LMS1XX Tower EnvVar (#250 <https://github.com/husky/husky/issues/250>)
    * Added second velodyne description
    * Added environment variable to remove the LMS1XX mount
    * Removed console output
  * Use DATUM_LAT and DATUM_LON envars to override the default reference lat/lon for the Gazebo GPS plugin. This addresses a compatibility issue with outdoor nav simulations
  * Contributors: Chris Iverach-Brereton, Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Fri, 25 Nov 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.4-1focal) focal; urgency=high

  * Fixes for velodyne prefix
  * PACS Brackets (#238 <https://github.com/husky/husky/issues/238>)
    * Added STL models for brackets
    * Added brackets to URDF
    * Added bracket environment variables
  * Fixed issues with find
  * Added README with all Environment Variables
  * Duplicate URDF for every standard sensor
  * Added fath pivot mount as dependency
  * Added URDF of Blackfly on top of fath_pivot_mount
  * Added prefix to name parameter to differentiate between primary and secondary
  * Changed ENABLE to ENABLED
  * Changed HUSKY_FULL_RISER to HUSKY_FULL_RISER_LEVEL
  * Added PACS top plate and mounts to decorations
  * Added PACS urdf definitions
  * Added PACS meshes
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Thu, 16 Jun 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.3-1focal) focal; urgency=high

  * Added Blackfly
  * Added blackfly description dependancy
  * Realsense will no longer add the Sensor Arch (#220 <https://github.com/husky/husky/issues/220>)
    * Add parent link env-var to imu
    * Sensor Arch is only enabled by HUSKY_SENSOR_ARCH, changed default realsense mount frame to
  * Contributors: Luis Camero, luis-camero

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Mon, 16 May 2022 04:00:00 -0000

ros-noetic-husky-description (0.6.2-1focal) focal; urgency=high

  * Added Wibotic mesh and STL
  * Bump CMake version to avoid CMP0048 warning.
  * Contributors: Luis Camero, Tony Baltovski

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 15 Feb 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.1-1focal) focal; urgency=high

  * Fixed error in URDF
  * Added Hokuyo
  * Check launch file only if testing
    When building husky_control, husky_description, husky_navigation or
    husky_viz without tests, CMake fails as it does not find
    catkin_run_tests_target command. This patch adds conditions to fix
    this problem.
  * Revert changes to mount_base_link to preserve use of origin argument; instead, simply created an additional plate link that sits between the supports and VLP16
  * Create visual geometry of vlp16_mount_base_link
  * Update mount support dimensions and spacing to better represent real-world measurements
  * [husky_description] Fixed malformed STL warning for top_plate.stl.
  * Contributors: Alexandre Iooss, Luis Camero, Tony Baltovski, jyang-cpr

 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 18 Jan 2022 05:00:00 -0000

ros-noetic-husky-description (0.6.0-1focal) focal; urgency=high



 -- Tony Baltovski <tbaltovski@clearpathrobotics.com>  Tue, 28 Sep 2021 04:00:00 -0000

ros-noetic-husky-description (0.5.1-1focal) focal; urgency=high

  * cpr urdf extras
  * Remove the need to explicitly specify the laser_enabled, realsense_enabled, and urdf_extras arguments; use the envars to make it easier to simulate customized robots & use the moveit setup assistant.
  * Update intel_realsense.urdf.xacro
    modify image format in sim to avoid log warn spam
  * Add HUSKY_{FRONT|REAR}_BUMPER envars we can use to completely turn off the front & rear bumpers.  This is requested to make integration of the wireless charging docks easier
  * Add VLP16, secondary LMS1xx support (#164 <https://github.com/husky/husky/issues/164>)
    * Minimal refactor to add VLP16 + secondary LMS1xx support. Update defaults for the laser_enabled and realsense_enabled args to refer to the underlying envars to improve consistency when launching simulations. Modify the sensor bar to allow it to be positioned in the center by default, but with configurable xyz and rpy offsets
    * Add the new run dependencies
    * Remove the prefix's trailing underscore in the vlp16 mount to make it consistent. Fix an inconsistent envar for the sensor arch, add an arg to explicitly enable it, to stay internally consistent with the rest of Husky.


=== debian/control ===
--- 
+++ 
@@ -8,5 +8,5 @@
 
 Package: ros-noetic-husky-description
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
+Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cpr-onav-description, ros-noetic-fath-pivot-mount-description, ros-noetic-flir-camera-description, ros-noetic-lms1xx, ros-noetic-realsense2-description, ros-noetic-urdf, ros-noetic-velodyne-description, ros-noetic-xacro
 Description: Clearpath Husky URDF description
